Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.convert
Class CharacterConverter

    java.lang.Object
      javax.faces.convert.CharacterConverter

All Implemented Interfaces:
  Converter

    public class CharacterConverter

extends java.lang.Object
implements Converter

`Converter` implementation for `java.lang.Character` (and char primitive) values.

Field Summary
`static java.lang.String` | `CHARACTER_ID` The message identifier of the `FacesMessage` to be created if the conversion to `Character` fails.
`static java.lang.String` | `CONVERTER_ID` The standard converter id for this converter.
`static java.lang.String` | `STRING_ID` The message identifier of the `FacesMessage` to be created if the conversion of the `Character` value to `String` fails.

Constructor Summary
`CharacterConverter()`

Method Summary
`java.lang.Object` | `getAsObject(FacesContext context, UIComponent component, java.lang.String value)` Convert the specified string value, which is associated with the specified `UIComponent`, into a model data object that is appropriate for being stored during the Apply Request Values phase of the request processing lifecycle.
`java.lang.String` | `getAsString(FacesContext context, UIComponent component, java.lang.Object value)` Convert the specified model object value, which is associated with the specified `UIComponent`, into a String that is suitable for being included in the response generated during the Render Response phase of the request processing lifeycle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

  The standard converter id for this converter.

  See Also:
    Constant Field Values

### CHARACTER_ID

    public static final java.lang.String CHARACTER_ID

  The message identifier of the `FacesMessage` to be created if the conversion to `Character` fails. The message format string for this message may optionally include the following placeholders:

  - `{0}` replaced by the unconverted value.
  - `{1}` replaced by a `String` whose value is the label of the input component that produced this message.

  See Also:
    Constant Field Values

### STRING_ID

    public static final java.lang.String STRING_ID

  The message identifier of the `FacesMessage` to be created if the conversion of the `Character` value to `String` fails. The message format string for this message may optionally include the following placeholders:

  - `{0}` relaced by the unconverted value.
  - `{1}` replaced by a `String` whose value is the label of the input component that produced this message.

  See Also:
    Constant Field Values

Constructor Detail

### CharacterConverter

    public CharacterConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(FacesContext context,
                                        UIComponent component,
                                        java.lang.String value)

  Description copied from interface: `Converter`

  Convert the specified string value, which is associated with the specified `UIComponent`, into a model data object that is appropriate for being stored during the Apply Request Values phase of the request processing lifecycle.

  Specified by:
    `getAsObject` in interface `Converter`
  Parameters:
    `context` - `FacesContext` for the request being processed
    `component` - `UIComponent` with which this model object value is associated
    `value` - String value to be converted (may be `null`)
  Returns:
    `null` if the value to convert is `null`, otherwise the result of the conversion
  Throws:
    `ConverterException` - if conversion cannot be successfully performed
    `java.lang.NullPointerException` - if `context` or `component` is `null`

### getAsString

    public java.lang.String getAsString(FacesContext context,
                                        UIComponent component,
                                        java.lang.Object value)

  Description copied from interface: `Converter`

  Convert the specified model object value, which is associated with the specified `UIComponent`, into a String that is suitable for being included in the response generated during the Render Response phase of the request processing lifeycle.

  Specified by:
    `getAsString` in interface `Converter`
  Parameters:
    `context` - `FacesContext` for the request being processed
    `component` - `UIComponent` with which this model object value is associated
    `value` - Model object value to be converted (may be `null`)
  Returns:
    a zero-length String if value is `null`, otherwise the result of the conversion
  Throws:
    `ConverterException` - if conversion cannot be successfully performed
    `java.lang.NullPointerException` - if `context` or `component` is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.